examples.api

## Class ManageDevices

- java.lang.Object
- - examples.api.ManageDevices

-     public class ManageDevices
      extends java.lang.Object

  This example illustrates creation and management of device accounts, modification of device settings, execution of device operations and asynchronous receiving of device events.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManageDevices()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Context` | `createDeviceAccount(java.lang.String username, java.lang.String name, java.lang.String description, java.lang.String driverId, ContextManager cm)`
    `static void` | `deleteDeviceAccount(Context deviceContext)`
    `static void` | `executeDeviceOperation(Context deviceContext)`
    `static void` | `listenerForDeviceEvents(Context deviceContext)`
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManageDevices

          public ManageDevices()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### executeDeviceOperation

          public static void executeDeviceOperation(Context deviceContext)
                                             throws ContextException

      Throws:
        `ContextException`

    - #### listenerForDeviceEvents

          public static void listenerForDeviceEvents(Context deviceContext)

    - #### deleteDeviceAccount

          public static void deleteDeviceAccount(Context deviceContext)
                                          throws ContextException

      Throws:
        `ContextException`

    - #### createDeviceAccount

          public static Context createDeviceAccount(java.lang.String username,
                                                    java.lang.String name,
                                                    java.lang.String description,
                                                    java.lang.String driverId,
                                                    ContextManager cm)
                                             throws ContextException

      Throws:
        `ContextException`